mysqli->protocol_version
mysqli->server_version
MySQLi
PHP Manual

# mysqli->server_info

# mysqli_get_server_info

(PHP 5)

mysqli->server_info -- mysqli_get_server_info — Returns the version of the MySQL server

### Description

Object oriented style (property):

mysqli
string $server_info;

Procedural style:

string mysqli_get_server_info ( mysqli `$link` )

Returns a string representing the version of the MySQL server that the MySQLi extension is connected to.

### Parameters

`link`

  Procedural style only: A link identifier returned by mysqli_connect() or mysqli_init()

### Return Values

A character string representing the server version.

### Examples

Example #1 Object oriented style

`<?php
$mysqli = new mysqli("localhost", "my_user", "my_password");
/* check connection */
if (mysqli_connect_errno()) {
printf("Connect failed: %s\n", mysqli_connect_error());
exit();
}
/* print server version */
printf("Server version: %s\n", $mysqli->server_info);
/* close connection */
$mysqli->close();
?>`

Example #2 Procedural style

`<?php
$link = mysqli_connect("localhost", "my_user", "my_password");
/* check connection */
if (mysqli_connect_errno()) {
printf("Connect failed: %s\n", mysqli_connect_error());
exit();
}
/* print server version */
printf("Server version: %s\n", mysqli_get_server_info($link));
/* close connection */
mysqli_close($link);
?>`

The above example will output:

    Server version: 4.1.2-alpha-debug

### See Also

- mysqli_get_client_info()
- mysqli_get_client_version()
- mysqli_get_server_version()

mysqli->protocol_version
mysqli->server_version
MySQLi
PHP Manual